### Constructor

# Gio DesktopAppInfo new_from_keyfile

since: 2.18

#### Declaration

    GDesktopAppInfo*
    g_desktop_app_info_new_from_keyfile (
      GKeyFile* key_file
    )

#### Description

Creates a new `GDesktopAppInfo`.

Available since: 2.18

#### Parameters

`key_file`

  Type: `GKeyFile`

  An opened `GKeyFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `GDesktopAppInfo`

A new `GDesktopAppInfo` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.